Subject: [Capwap] CAPWAP IESG Review Comment T10

From: "Pat Calhoun (pacalhou)" <[email-masked]>
Date: Mon, 16 Jun 2008 08:35:55 -0700

All,

The following is the IESG Review Comment:

   T10 - Section 4.5.1.1 - it is not explicitly said whether the CAPWAP
control 
   messages in the table at page 54 apply for any wireless technology.
If true, why is 
   only a value for IEEE 802.11 mentioned in this specification? In my
opinion there 
   is a need to clarify and to take out the IEEE 802.11 value, which
should be 
   mentioned in the technology binding document. 

There was actually no reason why the IEEE 802.11 IANA Enterprise Number
was mentioned in this section, so I have removed it, and cleaned up the
text a little bit. I've checked the CAPWAP IEEE 802.11 binding spec, and
it already includes its IANA Enterprise Number, so no changes are
required to that spec. I am therefore proposing the following text:

<text>
4.5.1.1.  Message Type

   The Message Type field identifies the function of the CAPWAP control
   message.  To provide extensibility, the Message Type field is
comprised
   of an IANA Enterprise Number [RFC3232] and an enterprise specific
   message type number.  The first three octets contain the IANA
Enterprise
   Number in network byte order, with zero used for CAPWAP base protocol
   (this specification) defined message types. The last octet is the
   enterprise specific message type number, which has a range from 0 to
255.
</text>

PatC
_________________________________________________________________
To unsubscribe or modify your subscription options, please visit:
http://lists.frascone.com/mailman/listinfo/capwap

Archives: http://lists.frascone.com/pipermail/capwap

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Tue, 17 Jun 2008 14:20:42 +0200

OK with me. 

Dan

> -----Original Message-----
> From: Pat Calhoun (pacalhou) [mailto:[email-masked]] 
> Sent: Monday, June 16, 2008 6:36 PM
> To: [email-masked]
> Subject: [Capwap] CAPWAP IESG Review Comment T10
> 
> All,
> 
>    T10 - Section 4.5.1.1 - it is not explicitly said whether 
> the CAPWAP control 
>    only a value for IEEE 802.11 mentioned in this 
> specification? In my opinion there 
>    is a need to clarify and to take out the IEEE 802.11 
> value, which should be 
> There was actually no reason why the IEEE 802.11 IANA 
> Enterprise Number was mentioned in this section, so I have 
> removed it, and cleaned up the text a little bit. I've 
> checked the CAPWAP IEEE 802.11 binding spec, and it already 
> includes its IANA Enterprise Number, so no changes are 
>    message.  To provide extensibility, the Message Type field 
> is comprised
>    message type number.  The first three octets contain the 
> IANA Enterprise
>    enterprise specific message type number, which has a range 
> from 0 to 255.
> </text>
> 
> PatC

---

From: "Pat Calhoun (pacalhou)" <[email-masked]>
Date: Wed, 18 Jun 2008 18:25:49 -0700

OK, closing issue 51.

PatC 

-----Original Message-----
From: Romascanu, Dan (Dan) [mailto:[email-masked]] 
Sent: Tuesday, June 17, 2008 5:21 AM
To: Pat Calhoun (pacalhou); [email-masked]
Subject: RE: [Capwap] CAPWAP IESG Review Comment T10

OK with me. 

Dan

>    T10 - Section 4.5.1.1 - it is not explicitly said whether the 
> CAPWAP control

> There was actually no reason why the IEEE 802.11 IANA Enterprise 
> Number was mentioned in this section, so I have removed it, and 
> cleaned up the text a little bit. I've checked the CAPWAP IEEE 802.11 
> binding spec, and it already includes its IANA Enterprise Number, so 
> no changes are required to that spec. I am therefore proposing the 
> following text:
> 
> <text>
> 4.5.1.1.  Message Type
> 
>    enterprise specific message type number, which has a range from 0 
> to 255.
> </text>
> 
> PatC